Module | Sequel::Postgres::Dataset::ArgumentMapper
In: | lib/sequel/adapters/postgres.rb

PostgreSQL specific argument mapper used for mapping the named argument hash to a array with numbered arguments. Only used with the pg driver.

### Methods

map_to_prepared_args

### Included Modules

Sequel::Dataset::ArgumentMapper

### Protected Instance methods

map_to_prepared_args(hash)

Return an array of strings for each of the hash values, inserting them to the correct position in the array.

[Source]

         # File lib/sequel/adapters/postgres.rb, line 343
    343:           def map_to_prepared_args(hash)
    344:             @prepared_args.map{|k| hash[k.to_sym].to_s}
    345:           end

[Validate]